petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscLayoutCreateFromRanges

Creates a new PetscLayout with the given ownership ranges and sets it up.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutCreateFromRanges(MPI_Comm comm,const PetscInt range[],PetscCopyMode mode,PetscInt bs,PetscLayout *newmap)

Collective

### Input Parameters

| comm | - the MPI communicator
| range | - the array of ownership ranges for each rank with length commsize+1
| mode | - the copy mode for range
| bs | - the block size (or PETSC_DECIDE)

### Output Parameters

newmap -the new PetscLayout

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutGetLocalSize(), PetscLayout, PetscLayoutDestroy(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetBlockSize(), PetscLayoutSetUp(), PetscLayoutCreateFromSizes()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages